### Function

# Gimp param_spec_value_array

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_value_array (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamSpec* element_spec,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecValueArray` specifying a

# G_TYPE_VALUE_ARRAY property.

See `g_param_spec_internal()` for details on property names.

Available since: | 3.0

#### Parameters

`name` | `const gchar*`
| Canonical name of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`nick` | `const gchar*`
| Nick name of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`blurb` | `const gchar*`
| Description of the property specified.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`element_spec` | `GParamSpec`
| `GParamSpec` the contained array’s elements have comply to, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`flags` | `GParamFlags`
| Flags for the property specified.

#### Return value

Returns: | `GParamSpec`
| The newly created `GimpParamSpecValueArray`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.